## Send an email using the builder. `client.emailSending.send(EmailSendingSendParamsparams, RequestOptionsoptions?): EmailSendingSendResponse` **post** `/accounts/{account_id}/email/sending/send` Send an email using the builder. ### Parameters - `params: EmailSendingSendParams` - `account_id: string` Path param: Identifier of the account. - `from: string | EmailSendingEmailAddressObject` Body param: Sender email address. Either a plain string or an object with address and name. - `string` - `EmailSendingEmailAddressObject` - `address: string` Email address (e.g., 'user@example.com'). - `name: string` Display name for the email address (e.g., 'John Doe'). - `subject: string` Body param: Email subject line. - `to: string | Array` Body param: Recipient(s). A single email string or an array of email strings. - `string` - `Array` - `attachments?: Array` Body param: File attachments and inline images. - `EmailSendingEmailInlineAttachment` - `content: string` Base64-encoded content of the attachment. - `content_id: string` Content ID used to reference this attachment in HTML via cid: URI (e.g., ). - `disposition: "inline"` Must be 'inline'. Indicates the attachment is embedded in the email body. - `"inline"` - `filename: string` Filename for the attachment. - `type: string` MIME type of the attachment (e.g., 'image/png', 'text/plain'). - `EmailSendingEmailAttachment` - `content: string` Base64-encoded content of the attachment. - `disposition: "attachment"` Must be 'attachment'. Indicates a standard file attachment. - `"attachment"` - `filename: string` Filename for the attachment. - `type: string` MIME type of the attachment (e.g., 'application/pdf', 'text/plain'). - `bcc?: string | Array` Body param: BCC recipient(s). A single email string or an array of email strings. - `string` - `Array` - `cc?: string | Array` Body param: CC recipient(s). A single email string or an array of email strings. - `string` - `Array` - `headers?: Record` Body param: Custom email headers as key-value pairs. - `html?: string` Body param: HTML body of the email. At least one of text or html must be provided. - `reply_to?: string | EmailSendingEmailAddressObject` Body param: Reply-to address. Either a plain string or an object with address and name. - `string` - `EmailSendingEmailAddressObject` - `address: string` Email address (e.g., 'user@example.com'). - `name: string` Display name for the email address (e.g., 'John Doe'). - `text?: string` Body param: Plain text body of the email. At least one of text or html must be provided. ### Returns - `EmailSendingSendResponse` - `delivered: Array` Email addresses to which the message was delivered immediately. - `permanent_bounces: Array` Email addresses that permanently bounced. - `queued: Array` Email addresses for which delivery was queued for later. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.emailSending.send({ account_id: 'account_id', from: 'sender@example.com', subject: 'Monthly Report', to: ['recipient@example.com'], }); console.log(response.delivered); ``` #### Response ```json { "errors": [ { "code": 0, "message": "message" } ], "messages": [ { "code": 0, "message": "message" } ], "result": { "delivered": [ "recipient@example.com" ], "permanent_bounces": [ "dev@stainless.com" ], "queued": [ "dev@stainless.com" ] }, "success": true, "result_info": { "count": 0, "per_page": 0, "total_count": 0, "cursor": "cursor", "page": 0 } } ```